## org.apache.lucene.search
Class Explanation.IDFExplanation

    java.lang.Object
      org.apache.lucene.search.Explanation.IDFExplanation

All Implemented Interfaces:
  Serializable

Enclosing class:
  Explanation

    public abstract static class Explanation.IDFExplanation

extends Object
implements Serializable

Small Util class used to pass both an idf factor as well as an explanation for that factor. This class will likely be held on a `Weight`, so be aware before storing any large or un-serializable fields.

See Also:
  Serialized Form

Constructor Summary
`Explanation.IDFExplanation()`

Method Summary
`abstract String` `explain()` This should be calculated lazily if possible.
`abstract float` `getIdf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Explanation.IDFExplanation

    public Explanation.IDFExplanation()

Method Detail

### getIdf

    public abstract float getIdf()

  Returns:
    the idf factor

### explain

    public abstract String explain()

  This should be calculated lazily if possible.

  Returns:
    the explanation for the idf factor.